V2.0

get

/ec-designer-svc/rest/v2.0/studies/{studyId}/versions/{version}/randomizations/{randomId}/cohorts

Retrieves a list of all cohort groups associated with a randomization design.

Request

Path Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Successful operation.
Body ()
Root Schema : schema
Type: array
Show Source
Nested Schema : CohortDto v2.0
Type: object
Title: CohortDto v2.0
Randomization Cohort Details Information
Show Source
Nested Schema : factors
Type: array
Show Source
  • CohortFactorDto v1.0
    Title: CohortFactorDto v1.0
    Discriminator: { "propertyName":"type", "mapping":{ "choice":"#/components/schemas/CohortChoiceFactorDtoV2", "range":"#/components/schemas/CohortRangeFactorDtoV2" } }
    Randomization Cohort Factor Information
Nested Schema : CohortFactorDto v1.0
Type: object
Title: CohortFactorDto v1.0
Discriminator: type

Discriminator Values

Randomization Cohort Factor Information
Show Source
Examples

500 Response

Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Body ()
Root Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : details
Type: object
Back to Top